# include/xapian/document.h File Reference

API for working with documents. More...

`#include <string>`
`#include <xapian/base.h>`
`#include <xapian/types.h>`
`#include <xapian/termiterator.h>`
`#include <xapian/visibility.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::Document
| A document in the database - holds data, values, terms, and postings. More...

## Detailed Description

API for working with documents.